- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO_Linear_Search_OpTable Class Reference

Operation table lookup strategy based on linear search. Not efficient, but it works. More...

`#include <Operation_Table_Linear_Search.h>`

Inheritance diagram for TAO_Linear_Search_OpTable:

[legend]
Collaboration diagram for TAO_Linear_Search_OpTable:

[legend]
List of all members.

## Public Member Functions
| ~TAO_Linear_Search_OpTable (void)
| Destructor.
virtual int | find (const char *opname, TAO_Skeleton &skel_ptr, const unsigned int length=0)
| See the documentation in the base class for details.
virtual int | find (const char *opname, TAO_Collocated_Skeleton &skelfunc, TAO::Collocation_Strategy s, const unsigned int length=0)
virtual int | bind (const char *opname, const TAO::Operation_Skeletons skelptr)
## Private Member Functions
virtual const TAO_operation_db_entry * | lookup (const char *str)=0

## Detailed Description

Operation table lookup strategy based on linear search. Not efficient, but it works.

## Constructor & Destructor Documentation

TAO_BEGIN_VERSIONED_NAMESPACE_DECL TAO_Linear_Search_OpTable::~TAO_Linear_Search_OpTable | ( | void |  | ) |

Destructor.

## Member Function Documentation

int TAO_Linear_Search_OpTable::bind | ( | const char * | opname,
|  | const TAO::Operation_Skeletons | skelptr |
| ) |  |  | `[virtual]`

Associate the skeleton skel_ptr with an operation named opname. Returns -1 on failure, 0 on success, 1 on duplicate.

Implements TAO_Operation_Table.

int TAO_Linear_Search_OpTable::find | ( | const char * | opname,
|  | TAO_Collocated_Skeleton & | skelfunc,
|  | TAO::Collocation_Strategy | s,
|  | const unsigned int | length = `0` |
| ) |  |  | `[virtual]`

Uses opname to look up the collocated skeleton function and pass it back in skelfunc. Returns non-negative integer on success, or -1 on failure.

Implements TAO_Operation_Table.

int TAO_Linear_Search_OpTable::find | ( | const char * | opname,
|  | TAO_Skeleton & | skel_ptr,
|  | const unsigned int | length = `0` |
| ) |  |  | `[virtual]`

See the documentation in the base class for details.

Implements TAO_Operation_Table.

virtual const TAO_operation_db_entry* TAO_Linear_Search_OpTable::lookup | ( | const char * | str | ) | `[private, pure virtual]`

The documentation for this class was generated from the following files:

- Operation_Table_Linear_Search.h
- Operation_Table_Linear_Search.cpp